## nageru 2.2.3

=== debian/changelog ===
nageru (2.2.3-1ubuntu2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:57:34 +0200

nageru (2.2.3-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jul 2023 12:16:08 +0200

nageru (2.2.3-1) unstable; urgency=medium

  * New upstream release.
    * Fixes an issue with checkable theme menus. (Closes: #1041721)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 24 Jul 2023 14:03:20 +0200

nageru (2.2.2-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2023 09:01:17 +0200

nageru (2.2.2-1) unstable; urgency=medium

  * New upstream release.
    * Fix build breaks with newer GCC and SVT-AV1. (Closes: #1037785)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 15 Jul 2023 17:29:52 +0200

nageru (2.2.1-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:52:14 +0200

## nageru 2.3.0

=== debian/changelog ===
nageru (2.3.0-2ubuntu2) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:18:49 +0200

nageru (2.3.0-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 08:05:15 +0200

nageru (2.3.0-2) unstable; urgency=medium

  * 01-constify-ffmpeg-callbacks.patch: New patch from upstream,
    fixes compilation with FFmpeg 7.0. (Closes: #1072437)
  * Build-depend on pkgconf instead of pkg-config.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 28 Jul 2024 21:52:45 +0200

nageru (2.3.0-1ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:10 +1100

nageru (2.3.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:59:15 +1100

nageru (2.3.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:02:21 +0000

nageru (2.3.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:40:39 +0000

nageru (2.3.0-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 09:35:39 +0200

nageru (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    * Update the FFmpeg build-dependency to 5.1.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 05 Oct 2023 00:41:44 +0200

=== debian/control ===
Source: nageru
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
# lld is strictly optional, but depending on it means the build is more reproducible;
# the result doesn't depend on whether the package was installed or not.
# However, there's a bug on i386 where it doesn't link properly.
Build-Depends: debhelper (>= 13), qtbase5-dev, libqt5opengl5-dev, pkgconf, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:5.1), libswscale-dev, libva-dev, libswresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev, lld [!i386], libsrt-gnutls-dev
Build-Conflicts: lld [i386]
Standards-Version: 4.5.0
Homepage: https://nageru.sesse.net/

Package: nageru
# Uses Linux-only features (such as VA-API).
# Also needs LuaJIT (not to mention OpenGL and USB), which isn't available on s390x or ppc.
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modern free software video mixer
 Nageru (a pun on the Japanese verb nageru, meaning to throw or cast) is a live
 video mixer. It takes in inputs from one or more video cards (any DeckLink PCI
 card via Blackmagic's drivers, and Intensity Shuttle USB3 and UltraStudio SDI
 USB3 cards via bmusb), mixes them together based on the operator's desire and a
 theme written in Lua, and outputs a high-quality H.264 stream over TCP suitable
 for further transcoding and/or distribution.
 .
 Nageru aims to produce high-quality output, both in terms of audio and video,  
 while still running on modest hardware.

Package: futatabi
# Generally same reasoning as nageru.
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multicamera slow motion video server
 Futatabi is a video server and multitrack recorder, made to work in tandem
 with Nageru. It can record multiple video tracks in sync and play back
 selected clips from them in slow motion. Futatabi uses GPU-based interpolation
 to provide smooth motion without the use of a high-speed camera (the quality
 will depend on the type of content and on the speed of the GPU in use).

=== debian/rules ===
#!/usr/bin/make -f

# see https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81358
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -latomic

ifneq (, $(shell which lld))
  export DEB_LDFLAGS_MAINT_APPEND += -fuse-ld=lld -Wl,--build-id=sha1
endif

export QT_SELECT=5

%:
	dh $@

## nageru 2.3.1

=== meson_options.txt ===
option('embedded_bmusb', type: 'boolean', value: false, description: 'Use bmusb from the bmusb/ git submodule instead of from the system')

# Set this to build with CEF.
# E.g.: meson configure -Dcef_dir=/home/sesse/cef_binary_3.3282.1734.g8f26fe0_linux64
option('cef_dir', type: 'string', description: 'If not empty, build against CEF in this directory')
option('cef_build_type', type: 'string', value: 'Release', description: 'CEF version to build against (Release or Debug, or “system” for a system-installed)')
option('cef_no_icudtl', type: 'boolean', value: false, description: 'Set to true if the CEF installation has no icudtl.dat.')

=== debian/changelog ===
nageru (2.3.1-1build2) resolute; urgency=medium

  * Rebuild against new libx264-165.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Oct 2025 19:45:45 +0200

nageru (2.3.1-1build1) resolute; urgency=medium

  * Rebuild against latest x264

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 18 Oct 2025 10:57:02 -0400

nageru (2.3.1-1) unstable; urgency=medium

  * New upstream release.
    * Obsoletes all patches.
    * Fixes compilation with GCC 15. (Closes: #1097428)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 08 Sep 2025 20:15:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nageru
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
+Maintainer: Steinar H. Gunderson <sesse@debian.org>
 # lld is strictly optional, but depending on it means the build is more reproducible;
 # the result doesn't depend on whether the package was installed or not.
 # However, there's a bug on i386 where it doesn't link properly.

## nageru 2.3.2

=== debian/changelog ===
nageru (2.3.2-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:04:51 +0000

nageru (2.3.2-1) unstable; urgency=medium

  * New upstream release.
    * Fixes compilation with FFmpeg 8.x. (Closes: #1115058)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 21 Dec 2025 21:38:33 +0100
